﻿using System.ComponentModel;
using IDIS.Model;
using Newtonsoft.Json;

namespace IDIS.YL106.Model;


public record Data_Oder : IDIS_Model
{
	public override string[] Tags { get; set; } = new string[] { "order" };

	/// <summary>
	/// 订单编号
	/// </summary>
	[DisplayName("订单编号")]
	[JsonProperty("order_number")]
	public string OderNumber { get; set; } = string.Empty;
	/// <summary>
	/// 产品编码
	/// </summary>
	[DisplayName("产品编码")]
	[JsonProperty("product_code")]
	public string ProductCode { get; set; } = string.Empty;
	/// <summary>
	/// 产品名称
	/// </summary>
	[DisplayName("产品名称")]
	[JsonProperty("product_name")]
	public string ProductName { get; set; } = string.Empty;
	/// <summary>
	/// 订单状态
	/// </summary>
	[DisplayName("订单状态")]
	public string OrderState { get; set; } = string.Empty;
	/// <summary>
	/// 下单时间
	/// </summary>
	[DisplayName("下单时间")]
	public DateTime CreateTime { get; set; } = DateTime.MinValue;
	/// <summary>
	/// 更新时间
	/// </summary>
	[DisplayName("更新时间")]
	public DateTime UpdateTime { get; set; } = DateTime.MinValue;
	/// <summary>
	/// 完成时间
	/// </summary>
	[DisplayName("完成时间")]
	public DateTime FinishTime { get; set; } = DateTime.MinValue;
}
