﻿using System.ComponentModel;
using IDIS.Model;
using Newtonsoft.Json;

namespace IDIS.YL106.Model;

/// <summary>
/// 设备模型,用于描述例如机器人、传送带等设备的信息
/// </summary>
public record Object_Equipment : IDIS_Model
{
	/// <summary>
	/// 编号
	/// </summary>
	[DisplayName("编号")]
	[JsonProperty("number")]
	public string Number { get; set; } = string.Empty;

	/// <summary>
	/// 名称
	/// </summary>
	[DisplayName("名称")]
	[JsonProperty("name")]
	public string Name { get; set; } = string.Empty;

	/// <summary>
	/// 型号
	/// </summary>
	[DisplayName("型号")]
	[JsonProperty("model")]
	public string Model { get; set; } = string.Empty;

	/// <summary>
	/// 类型
	/// </summary>
	[DisplayName("类型")]
	[JsonProperty("type")]
	public string Type { get; set; } = string.Empty;
	
	/// <summary>
	/// 描述,用于介绍该设备的用途
	/// </summary>
	[DisplayName("描述")]
	[JsonProperty("description")]
	public string Description { get; set; } = string.Empty;
	
	/// <summary>
	/// 设备来源
	/// </summary>
	[DisplayName("来源")]
	[JsonProperty("source")]
	public string Trace { get; set; } = string.Empty;
	
	/// <summary>
	/// 生产厂家
	/// </summary>
	[DisplayName("生产厂家")]
	[JsonProperty("manufacturer")]
	public string Manufacturer { get; set; } = string.Empty;
	
	/// <summary>
	/// 生产日期
	/// </summary>
	[DisplayName("生产日期")]
	[JsonProperty("manufacture_date")]
	public DateTime ManufactureDate { get; set; } =DateTime.MinValue;
}
